## golang-1.22 1.22~rc1

=== debian/changelog ===
golang-1.22 (1.22~rc1-2) unstable; urgency=medium

  * Skip TestUser{Cache,Config}Dir when HOME is not writable

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 06 Jan 2024 21:26:23 +0800

golang-1.22 (1.22~rc1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22rc1
  * Build loong64 binaries (Closes: #1055087)
  * Avoid downloading a newer toolchain when bootstrap

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Jan 2024 17:22:48 +0800

golang-1.21 (1.21.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.5
    + CVE-2023-39326: net/http: limit chunked data overhead
    + CVE-2023-45285: cmd/go: go get may unexpectedly fallback to insecure git
    + CVE-2023-45283: path/filepath: retain trailing \ when cleaning paths
      like \\?\c:\

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 06 Dec 2023 15:32:23 +0800

golang-1.21 (1.21.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.4
    + CVE-2023-45283: path/filepath: recognize \??\ as a Root Local Device
      path prefix.
    + CVE-2023-45284: path/filepath: recognize device names with trailing
      spaces and superscripts.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Nov 2023 03:40:30 +0800

golang-1.21 (1.21.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.3
    + CVE-2023-44487/CVE-2023-39325: net/http: rapid stream resets can cause
      excessive work

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Oct 2023 14:53:53 +0800

golang-1.21 (1.21.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.2
    + CVE-2023-39323: cmd/go: line directives allows arbitrary execution during
      build

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 06 Oct 2023 19:35:37 +0800

golang-1.21 (1.21.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.1
    + CVE-2023-39320: cmd/go: go.mod toolchain directive allows arbitrary
      execution
    + CVE-2023-39318: html/template: improper handling of HTML-like comments
      within script contexts
    + CVE-2023-39319: html/template: improper handling of special tags within
      script contexts
    + CVE-2023-39321/CVE-2023-39322: crypto/tls: panic when processing
      post-handshake message on QUIC connections

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 07 Sep 2023 11:51:55 +0800

golang-1.21 (1.21.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 09 Aug 2023 14:40:00 +0800

golang-1.21 (1.21~rc4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21~rc4

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 03 Aug 2023 15:15:53 +0800

golang-1.21 (1.21~rc3-2) unstable; urgency=medium

  * Team upload
  * Add Breaks+Replaces golang-1.21-go (<< 1.21~rc3) on golang-1.21-src
    src/internal/platform/zosarch.go move from golang-1.21-go to
    golang-1.21-src (Closes: #1041412)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 Jul 2023 16:12:19 +0800

golang-1.21 (1.21~rc3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21~rc3

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 17 Jul 2023 15:20:39 +0800

golang-1.21 (1.21~rc2-2) unstable; urgency=medium

  * Team upload
  * Add autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 29 Jun 2023 16:33:35 +0800

golang-1.21 (1.21~rc2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21~rc2

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 22 Jun 2023 14:53:06 +0800

golang-1.21 (1.21~rc1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.21rc1
  * Install go.env in GOROOT
  * Drop patches
    + 0001-Disable-test-for-UserHomeDir.patch.
      Now the test doesn't fail if HOME dir doesn't exist
      See https://github.com/golang/go/commit/bb4ea80b
    + 0002-Fix-Lintian-warnings-about-wrong-interpreter-path.patch.
      We don't run these scripts, just leave them as is.
    + 0003-cmd-dist-increase-default-timeout-scale-for-arm.patch.
      Upstream has removed arch-specific timeout scale heuristics.
      See https://github.com/golang/go/issues/57117
      We can move the setting to dh-golang.
    + 0004-skip-userns-test-in-schroot-as-well.patch.
      Now the tests doesn't hardcode chroot types.
      See https://github.com/golang/go/commit/09267142

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Jun 2023 17:39:49 +0800

golang-1.20 (1.20.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.5
    + CVE-2023-29402: cmd/go: cgo code injection
    + CVE-2023-29403: runtime: unexpected behavior of setuid/setgid binaries
    + CVE-2023-29404/CVE-2023-29405: cmd/go: improper sanitization of LDFLAGS

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Jun 2023 12:05:11 +0800

golang-1.20 (1.20.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.4
    + CVE-2023-24539: html/template: improper sanitization of CSS values
    + CVE-2023-24540: html/template: improper handling of JavaScript whitespace
    + CVE-2023-29400: html/template: improper handling of empty HTML attributes

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 03 May 2023 14:56:49 +0800

golang-1.20 (1.20.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.3
    + CVE-2023-24537: go/parser: infinite loop in parsing
    + CVE-2023-24538: html/template: backticks not treated as string delimiters
    + CVE-2023-24534: net/http, net/textproto: denial of service from excessive
      memory allocation
    + CVE-2023-24536: net/http, net/textproto, mime/multipart: denial of
      service from excessive resource consumption

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Apr 2023 02:04:08 +0800

golang-1.20 (1.20.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.20.2
    + CVE-2023-24532: crypto/elliptic: incorrect P-256 ScalarMult and
      ScalarBaseMult results

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Mar 2023 13:57:35 +0800


