## golang-1.22 1.22.0

=== debian/changelog ===
golang-1.22 (1.22.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 28 Feb 2024 16:24:18 +0800

golang-1.22 (1.22.0-2) unstable; urgency=medium

  * Team upload
  * Skip flaky TestCrashDumpsAllThreads on mips64le

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 26 Feb 2024 17:08:17 +0800

golang-1.22 (1.22.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Wed, 21 Feb 2024 09:42:40 -0700

golang-1.22 (1.22.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 21 Feb 2024 16:57:04 +0800

golang-1.22 (1.22~rc2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22~rc2
  * Bump bootstrap Go to 1.20.
    See https://github.com/golang/go/issues/54265
    gccgo only implements Go 1.18 and can't bootstrap Go 1.22 now.
  * Revert "Skip TestUser{Cache,Config}Dir when HOME is not writable"
    This reverts commit 5e8f93837a5d73a391fbbc278a34e5a89f84ca9b.
    Fixed by upstream https://github.com/golang/go/issues/64990

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 30 Jan 2024 17:15:39 +0800

golang-1.22 (1.22~rc1-2~bpo12+1) bookworm-backports; urgency=medium

  [ Shengjing Zhu ]
  * Bump bootstrap Go to 1.20.
    See https://github.com/golang/go/issues/54265
    gccgo only implements Go 1.18 and can't bootstrap Go 1.22 now.

  [ Anthony Fok ]
  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Fri, 12 Jan 2024 19:48:11 -0700
