## golang-1.22 1.22.2

=== debian/changelog ===
golang-1.22 (1.22.2-2~22.04.3) jammy-security; urgency=medium

  * SECURITY UPDATE: leak sensitive headers when handling redirect
    requests. 
    - debian/patches/CVE-2024-45336.patch: net/http: persist header
      stripping across repeated redirects.
    - CVE-2024-45336
  * SECURITY UPDATE: IPv6 zone IDs can bypass URI name constraints.
    - debian/patches/CVE-2024-45341.patch: crypto/x509: properly
      check for IPv6 hosts in URIs.
    - CVE-2024-45341
  * SECURITY UPDATE: information bit leak on ppc64le architecture.
    - debian/patches/CVE-2025-22866.patch: crypto/internal/fips140/nistec:
      make p256NegCond constant time on ppc64le.
    - CVE-2025-22866
  * SECURITY UPDATE: denial of service issue by improperly treating an IPv6 
    zone ID as a hostname component.
    - debian/patches/CVE-2025-22870.patch: http/httpproxy: do not mismatch
      IPv6 zone ids against hosts.
    - CVE-2025-22870
  * SECURITY UPDATE: leak sensitive information on redirects outside of
    the original domain.
    - debian/patches/CVE-2025-4673.patch: net/http: strip sensitive proxy
      headers from redirect requests.
    - CVE-2025-4673
  * BUILD UPDATE: tls certificate expired during building and testing.
    - debian/patches/fix-config-time-tests-using-expired-certs.patch:
      crypto/tls: fix Config.Time in tests using expired certificates.

 -- Evan Caville <evan.caville@canonical.com>  Wed, 11 Jun 2025 11:13:54 +1000

golang-1.22 (1.22.2-2~22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: denial of service issue when handling 
    “Expect: 100-continue” headers
    - debian/patches/CVE-2024-24791.patch: net/http: send body or close 
      connection on expect-100-continue requests.
    - CVE-2024-24791
  * SECURITY UPDATE: denial of service issue when calling any Parse functions 
    from stack exhaustion
    - debian/patches/CVE-2024-34155.patch: go/parser: track depth in nested
      element lists.
    - CVE-2024-34155
  * SECURITY UPDATE: denial of service issue when decoding a message from
    stack exhaustion
    - debian/patches/CVE-2024-34156.patch: encoding/gob: cover missed cases
      when checking ignore depth.
    - CVE-2024-34156
  * SECURITY UPDATE: denial of service issue when calling Parse on certain
    build tags from stack exhaustion
    - debian/patches/CVE-2024-34158.patch: go/build/constraint: add parsing
      limits.
    - CVE-2024-34158 

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Oct 2024 13:43:09 +1100

golang-1.22 (1.22.2-2~22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: denial of service issue
    - debian/patches/CVE-2024-24788.patch: net: check SkipAdditional error
      result
    - CVE-2024-24788
  * SECURITY UPDATE: denial of service issue
    - debian/patches/CVE-2024-24789.patch: archive/zip: treat truncated
      EOCDR comment as an error
    - debian/source/include-binaries: Add zip testdata file
    - CVE-2024-24789
  * SECURITY UPDATE: incorrect IPv4-mapped IPv6 addresses issue
    - debian/patches/CVE-2024-24790.patch: net/netip: check if address is
      v6 mapped in Is methods
    - CVE-2024-24790

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 08 Jul 2024 17:45:50 +0530

golang-1.22 (1.22.2-2~22.04) jammy; urgency=medium

  * Backport golang 1.22 to jammy (LP: #2059756)
  * Build with Go 1.20
    - d/control{,.in}: use golang-1.20-go in Build-Depends
    - d/rules: use /usr/lib/go-1.20/bin/go to set GOROOT_BOOTSTRAP path

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Mon, 22 Apr 2024 14:49:00 +0300

golang-1.22 (1.22.2-2) unstable; urgency=medium

  * Team upload
  * Skip flaky TestCrashDumpsAllThreads on s390x (LP: #2061742)
    https://github.com/golang/go/issues/64650

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Apr 2024 16:13:31 +0800

golang-1.22 (1.22.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.2
    + CVE-2023-45288: http2: close connections when receiving too many headers
  * Revert "Backport patch to fix external link on riscv64" (applied in 1.22.2)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Apr 2024 04:23:15 +0800
