=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 export GOROOT := $(CURDIR)
 export GOROOT_FINAL := /usr/lib/go-$(GOVER)
-export GOROOT_BOOTSTRAP := $(shell env -i GOPATH=$(GOPATH) go env GOROOT)
+export GOROOT_BOOTSTRAP := $(shell env -i GOPATH=$(GOPATH) /usr/lib/go-1.20/bin/go env GOROOT)
 
 export GOPATH := $(CURDIR)/gopath/
 # Go 1.12 needs a build cache, otherwise the build fails.
