=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Section: golang
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               golang-1.20-go,
+               golang-go (>= 2:1.20~),
                netbase
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.22
