## golang-1.22 1.22.4

=== debian/changelog ===
golang-1.22 (1.22.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.4
    + CVE-2024-24789: archive/zip: mishandling of corrupt central directory
      record
    + CVE-2024-24790: net/netip: unexpected behavior from Is methods for
      IPv4-mapped IPv6 addresses

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Jun 2024 07:31:05 +0800
