## golang-1.22 1.22.5

=== debian/changelog ===
golang-1.22 (1.22.5-1) unstable; urgency=medium

  * Team upload.

  [ Dr. Tobias Quathamer ]
  * Remove myself from Uploaders

  [ Shengjing Zhu ]
  * New upstream version 1.22.5
    + CVE-2024-24791: net/http: denial of service due to improper 100-continue
      handling

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 03 Jul 2024 16:05:25 +0800
