## golang-1.22 1.22.6

=== debian/changelog ===
golang-1.22 (1.22.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.6

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Aug 2024 11:58:08 +0800
