=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
            Paul Tagliamonte <paultag@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Michael Hudson-Doyle <mwhudson@debian.org>,
-           Dr. Tobias Quathamer <toddy@debian.org>,
            Anthony Fok <foka@debian.org>
 Section: golang
 Priority: optional
