## golang-1.22 1.22.7

=== debian/changelog ===
golang-1.22 (1.22.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.7
    + CVE-2024-34155: go/parser: stack exhaustion in all Parse* functions
    + CVE-2022-30635: encoding/gob: stack exhaustion in Decoder.Decode
    + CVE-2024-34158: go/build/constraint: stack exhaustion in Parse

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 09 Sep 2024 16:31:19 +0800
