## golang-1.22 1.22.9

=== debian/changelog ===
golang-1.22 (1.22.9-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 14 Nov 2024 17:23:58 +0800

golang-1.22 (1.22.9-2) unstable; urgency=medium

  * Team upload
  * Running regression autopkgtest with root
  * Increase timeout in regression autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 12 Nov 2024 17:18:05 +0800

golang-1.22 (1.22.9-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.9
  * Switch to versioned golang-1.XX-go packages for building.
    Break circular loop with golang-defaults metapackage (Closes: #1081647)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 07 Nov 2024 15:31:50 +0800

golang-1.22 (1.22.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 09 Sep 2024 17:31:59 +0800
