=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 #
 
 Source: golang-1.22
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Compiler Team <team+go-compiler@tracker.debian.org>
+Maintainer: Debian Go Compiler Team <team+go-compiler@tracker.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Paul Tagliamonte <paultag@debian.org>,
            Tianon Gravi <tianon@debian.org>,
@@ -13,7 +12,7 @@
 Section: golang
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               golang-go (>= 2:1.20~),
+               golang-1.22-go | golang-1.21-go | golang-1.20-go,
                netbase
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.22
