## golang-1.22 1.22.10

=== debian/changelog ===
golang-1.22 (1.22.10-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.10

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 04 Dec 2024 08:31:31 +0800
