## golang-1.22 1.22.12

=== debian/changelog ===
golang-1.22 (1.22.12-3deepin1) unstable; urgency=medium

  * feat: add sw64 support

 -- hudeng <hudeng@deepin.org>  Thu, 04 Sep 2025 09:58:33 +0800

golang-1.22 (1.22.12-3) unstable; urgency=medium

  * Team upload
  * binutils-gold is only used on arm64
  * Add binutils-gold to Depends for golang-X.Y-go on arm64

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 11 Feb 2025 18:51:22 +0800

golang-1.22 (1.22.12-2) unstable; urgency=medium

  * Team upload
  * Add binutils-gold to Build-Depends.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 10 Feb 2025 18:33:04 +0800

golang-1.22 (1.22.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.12
    + CVE-2025-22866: crypto/elliptic: timing sidechannel for P-256 on ppc64le

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 07 Feb 2025 20:59:10 +0800
