=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
 Section: golang
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               binutils-gold [arm64],
                golang-1.22-go | golang-1.21-go | golang-1.20-go,
+               quilt [sw64],
                netbase
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.22
@@ -21,8 +23,9 @@
 Rules-Requires-Root: no
 
 Package: golang-1.22-go
-Architecture: amd64 arm64 armel armhf i386 loong64 mips mips64el mipsel ppc64 ppc64el riscv64 s390x
-Depends: golang-1.22-src (>= ${source:Version}),
+Architecture: amd64 arm64 armel armhf i386 loong64 mips mips64el mipsel ppc64 ppc64el riscv64 s390x sw64
+Depends: binutils-gold [arm64],
+         golang-1.22-src (>= ${source:Version}),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
