=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,15 @@
 
 export GOROOT := $(CURDIR)
 export GOROOT_FINAL := /usr/lib/go-$(GOVER)
-export GOROOT_BOOTSTRAP := $(shell env -i GOPATH=$(GOPATH) /usr/lib/go-1.20/bin/go env GOROOT)
+export GOROOT_BOOTSTRAP := $(shell ls -d -1 /usr/lib/go-1.* | sort -n | tail -n1)
 
 export GOPATH := $(CURDIR)/gopath/
 # Go 1.12 needs a build cache, otherwise the build fails.
 export GOCACHE := $(GOPATH)/gocache
+
+ifeq (sw64,$(DEB_HOST_ARCH))
+	export DEB_BUILD_OPTIONS=nocheck
+endif
 
 # source files generated during building.
 # especially zbootstrap.go has different defaultGOARM values on armhf and armel,
@@ -52,7 +56,8 @@
 update_upstream_signing_key:
 	wget -O debian/upstream/signing-key.asc https://dl.google.com/dl/linux/linux_signing_key.pub
 
-override_dh_auto_clean:
+include debian/rules.d/*.mk
+override_dh_auto_clean: unpatch
 	# remove autogenerated files
 	rm -f -v $(GENERATED_FILES)
 	# remove built objects
@@ -63,6 +68,9 @@
 	@set -e; cd debian; for x in golang-X.Y-*; do \
 		rm -f -v golang-$(GOVER)-$${x##golang-X.Y-}; \
 	done
+
+override_dh_update_autotools_config: patch
+	dh_update_autotools_config
 
 execute_after_dh_prep:
 	dh_prep
